﻿@model Auction.ViewModels.Auction.CreateCategoryViewModel

@{
    ViewBag.Title = "Create category";
}

<h2>Create category</h2>
@using (Html.BeginForm("Create", "Category", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary(true);
    <div>
        @Html.LabelFor(x=>x.Name)
        @Html.TextBoxFor(x=>x.Name)
        @Html.ValidationMessageFor(x=>x.Name)
    </div>
    <div>
        @Html.LabelFor(x => x.Description)
        @Html.TextAreaFor(x=>x.Description, new {@class = "text-area-edit"})
        @Html.ValidationMessageFor(x => x.Description)
    </div>
    <div>
        @Html.LabelFor(x => x.ShortDescription)
        @Html.TextAreaFor(x => x.ShortDescription, new { @class = "text-area-edit" })
        @Html.ValidationMessageFor(x => x.ShortDescription)
    </div>
    <div>
        @Html.LabelFor(x=>x.File)
        <input type="file" accept="image/*" name="file" value="Choose image"/>
    </div>
    <input type="submit" value="Create"/>
}

